Bug 246096 - Nethack automatic update provoked SELinux denial
Nethack automatic update provoked SELinux denial
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nethack (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-28 10:42 EDT by T.D. Houfek
Modified: 2016-09-19 22:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-01 08:57:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description T.D. Houfek 2007-06-28 10:42:46 EDT
Description of problem:

Summary
    SELinux is preventing /sbin/ldconfig (ldconfig_t) "read" to libapr-0.so
    (usr_t).

Detailed Description
    SELinux denied access requested by /sbin/ldconfig. It is not expected that
    this access is required by /sbin/ldconfig and this access may signal an
    intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for libapr-0.so, restorecon -v
    libapr-0.so If this does not work, there is currently no automatic way to
    allow this access. Instead,  you can generate a local policy module to allow
    this access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385
    Or you can disable SELinux protection altogether. Disabling SELinux
    protection is not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                user_u:system_r:ldconfig_t
Target Context                user_u:object_r:usr_t
Target Objects                libapr-0.so [ lnk_file ]
Affected RPM Packages         glibc-2.6-3 [application]
Policy RPM                    selinux-policy-2.6.4-14.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.21-1.3228.fc7 #1
                              SMP Tue Jun 12 15:37:31 EDT 2007 i686 i686
Alert Count                   3
First Seen                    Mon 25 Jun 2007 03:09:24 PM EDT
Last Seen                     Mon 25 Jun 2007 03:27:12 PM EDT
Local ID                      8196aa4b-1e87-49ea-8124-9febb71631c8
Line Numbers                  

Raw Audit Messages            

avc: denied { read } for comm="ldconfig" dev=sda1 egid=0 euid=0
exe="/sbin/ldconfig" exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="libapr-0.so"
pid=5166 scontext=user_u:system_r:ldconfig_t:s0 sgid=0
subj=user_u:system_r:ldconfig_t:s0 suid=0 tclass=lnk_file
tcontext=user_u:object_r:usr_t:s0 tty=pts0 uid=0






Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Luke Macken 2007-11-01 08:57:38 EDT
I don't see how this is an issue with nethack, as it does not even require
libapr.  If you are still experiencing this violation, please file a bug against
SELinux policy.

Note You need to log in before you can comment on or make changes to this bug.